[Question]R4 on 3DS

Discussion in 'R4 DS' started by TotyD, Mar 2, 2016.

  1. TotyD
    OP

    TotyD Newbie

    Newcomer
    3
    0
    Apr 3, 2015
    I have a R4i-gold (r4i-gold.eu) that I have been using one my DS lite for some time but I just bought a new 2DS 20th Pokemon Aniversary Special and I wanted to know if its possible to use the same flashcart there to play the same DS game (not 3DS ones). So far it only gives me an error message when i try to run it. Any easy help would be gladly accepted.
     
  2. MissingNO123

    MissingNO123 Jigglypuff

    Member
    194
    143
    Nov 24, 2012
    Canada
    hell
    Use TWL Slot-1 Launcher, that can get around the flashcard block.
    It requires CFW.

    I think the Pokemon 2DSes can be downgraded to 9.2 in order to install CFW, which there's a tutorial for.

    I recommend using rxTools 3.0 beta 2, it automatically patches TWL_FIRM to let you use the Slot-1 Launcher so that you don't have to patch it yourself
     
    Last edited by MissingNO123, Mar 2, 2016
  3. TotyD
    OP

    TotyD Newbie

    Newcomer
    3
    0
    Apr 3, 2015
    So, do I need rxTools to downgrade the sistem or rxTools its the CFW?
     
  4. Robert McCoy

    Robert McCoy GBAtemp Fan

    Member
    378
    84
    Apr 9, 2015
    United States
    rxTools is the custom firmware.

    You need sysupdater or safesysupdater to downgrade the system, assuming you are on 10.3 or lower firmware.
     
  5. MissingNO123

    MissingNO123 Jigglypuff

    Member
    194
    143
    Nov 24, 2012
    Canada
    hell
    SafeSysUpdater apparently has a higher brick rate than the current SysUpdater 0.4.2b

    If you aren't careless, you can use the regular SysUpdater 0.4.2b without having to worry about a brick.
     
  6. Robert McCoy

    Robert McCoy GBAtemp Fan

    Member
    378
    84
    Apr 9, 2015
    United States
    I thought the sysUpdater 0.4.2b doesn't include memchunkhax2 in it? And that it worked best in .cia format because hblauncher doesn't give it access to necessary permissions to downgrade? It says something to that effect on the github release.
     
  7. MissingNO123

    MissingNO123 Jigglypuff

    Member
    194
    143
    Nov 24, 2012
    Canada
    hell
    That's talking about the old sysUpdater for people already on CFW.

    I realize I may have given the wrong version number but I know that the newest one has memchunkhax2 and works on 10.3 (and under) as a 3dsx.
     
  8. Robert McCoy

    Robert McCoy GBAtemp Fan

    Member
    378
    84
    Apr 9, 2015
    United States
    Is that link for the newest version??

    Also: Everytime I use any version of sysupdater it always says "failed to get CIA info" even using the ftbrony technique. I used everything the this site and others say to get it to work. I did it for 3 weeks straight and gave up. Then I saw safesysupdater and it worked without stopping or messing up. It is the only one I can get "Hax Success!" on.
     
    Last edited by Robert McCoy, Mar 3, 2016
  9. MissingNO123

    MissingNO123 Jigglypuff

    Member
    194
    143
    Nov 24, 2012
    Canada
    hell
    Yes.
    Both SysUpdaters seem to be hit&miss with how successful they are. A lot of times SysUpdater will fail because there are hidden files in the updates folder that computers like to put there for seemingly no reason (Like with Macs with the .DS_Store file), but sometimes it just fails and nobody knows why
    People have had (seemingly random) success with things like formatting the SD card, formatting the NAND, leaving out every folder on the card except the updates folder, switching entrypoints, launching certain games first, etc.
     
    Last edited by MissingNO123, Mar 3, 2016
    Robert McCoy likes this.